!========================================================================
        double precision function mytime()
!========================================================================

!
!  Return elapsed time in seconds since start of program.
!  This file is for use on several different machines, and
!  allows writing code that can be ported to different machines
!  by changing only this timing function.  Uncomment out for
!  the machine you intend to use.
!
!     12 June 1992
!     Randall Bramley
!     Department of Computer Science
!     Indiana University
!     email: bramley@cs.indiana.edu
!
!========================================================================
!
!  RS/6000:  mclock is an integer, giving hundredths of seconds.
!        integer mclock
!        external mclock
!        mytime = dfloat(mclock())*0.01d0
!
!  Cray:
!       double precision :: timer
!       call second(timer)
!       mytime = timer
!
!  Generic Unix: elapsed time since start of program, in seconds.
       real etime,tarray(2)
       external etime
       mytime = etime(tarray)
!
!  i860 chip: dclock is double precision ::, returning seconds
!       double precision :: dclock
!       mytime = dclock()
!
        return
        end
!
!========================================================================
!
